# ACE_Registry::Name_Component Struct Reference

International string. More...

`#include <Registry.h>`

Collaboration diagram for ACE_Registry::Name_Component:

[legend]
List of all members.

## Public Member Functions

bool | operator== (const Name_Component &rhs) const
bool | operator!= (const Name_Component &rhs) const

## Public Attributes

ACE_TString | id_
ACE_TString | kind_

## Detailed Description

International string.

## Member Function Documentation

bool ACE_Registry::Name_Component::operator!= | ( | const Name_Component & | rhs | ) | const

bool ACE_Registry::Name_Component::operator== | ( | const Name_Component & | rhs | ) | const

## Member Data Documentation

ACE_TString ACE_Registry::Name_Component::id_

ACE_TString ACE_Registry::Name_Component::kind_

The documentation for this struct was generated from the following files:

- Registry.h
- Registry.cpp